%define	major		1
%define	libname		%mklibname sndfile %{major}
%define develname	%mklibname sndfile -d

%define build_octave 0

%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Summary:	A library to handle various audio file formats
Name:		libsndfile
Version:	1.0.28
%define subrel 1
Release:	%mkrel 8
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.mega-nerd.com/libsndfile/
Source0:	http://www.mega-nerd.com/libsndfile/files/%{name}-%{version}.tar.gz
Patch1:		libsndfile-1.0.25-divide-by-zero.patch
Patch5:		libsndfile-psf_strlcpy_crlf-fix-CVE-2015-8075.patch
Patch201:	0001-FLAC-Fix-a-buffer-read-overrun.patch
Patch202:	0002-src-flac.c-Fix-a-buffer-read-overflow.patch
Patch203:	0003-src-flac.c-Fix-another-memory-leak.patch
Patch204:	libsndfile-1.0.29-CVE-2017-6892.patch
Patch205:	libsndfile-1.0.28_CVE-2017-12562_buffer-overflow.patch
Patch402:	0030-double64_init-Check-psf-sf.channels-against-upper-bo.patch
Patch403:	0031-sfe_copy_data_fp-check-value-of-max-variable.patch
Patch405:	libsndfile-1.0.28-CVE-2017-17456.patch
Patch406:	libsndfile-1.0.28-CVE-2017-17457.patch
Patch407:	libsndfile-1.0.28-CVE-2018-13139.patch
Patch409:	libsndfile-1.0.28-CVE-2019-3832.patch
# not yet upstreamed, CVE-2018-19758, bsc#1117954
Patch408:	libsndfile-wav-loop-count-fix.patch
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(speex)
%if !%{bootstrap}
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
%endif
BuildRequires:	pkgconfig(celt)
BuildRequires:	autogen

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package -n	%{libname}
Summary:	Shared library of sndfile
Group:		System/Libraries

%description -n	%{libname}
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%package -n	%{develname}
Summary:	Libraries, includes, etc to develop libsndfile applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	libflac-devel
Provides:	sndfile-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}sndfile-static-devel < 1.0.28-8

%description -n	%{develname}
Libraries, include files, etc you can use to develop libsndfile applications.

%package	progs
Summary:	Example progs based on libsndfile
Group:		Sound/Utilities

%description	progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.


%if %{build_octave}
%package	octave
Summary:	Octave modules based on libsndfile
Group:		Sound
BuildRequires:	pkgconfig(octave)

%description	octave
This contains octave modules based on libsndfile for reading, writing and
playing audio files.
%endif

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--disable-silent-rules \
	--disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_includedir}/FLAC %{buildroot}%{_libdir}/*.la
%multiarch_includes %{buildroot}%{_includedir}/sndfile.h

rm -rf %{buildroot}%{_datadir}/doc/libsndfile

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/libsndfile.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libsndfile.so
%multiarch %{_includedir}/multiarch-*/sndfile.h
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc

%files progs
%{_bindir}/sndfile-*
%{_mandir}/man1/*

%if %{build_octave}
%files octave
%{_datadir}/octave/
%{_libdir}/octave/*/site/oct/*/*.oct
%endif


%changelog
* Tue Oct 22 2019 mrambo3501 <mrambo3501> 1.0.28-8.1.mga7
+ Revision: 1455161
- add debian patch which fixes CVE-2019-3832 (mga#25275)

* Sat May 04 2019 daviddavid <daviddavid> 1.0.28-8.mga7
+ Revision: 1396329
- add opensuse patch to fix CVE-2018-19758 (mga#24752)
- disable and drop static libraries

* Sun Sep 23 2018 umeabot <umeabot> 1.0.28-7.mga7
+ Revision: 1299157
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 mrambo3501 <mrambo3501> 1.0.28-6.mga7
+ Revision: 1250104
- add suse patches which fix CVE-2017-1745[6-7] and CVE-2018-13139 (mga#23382)

* Fri May 04 2018 luigiwalser <luigiwalser> 1.0.28-5.mga7
+ Revision: 1226073
- add patches from opensuse and upstream to fix CVE-2017-1424[56] and CVE-2017-14634

* Fri Sep 08 2017 mrambo3501 <mrambo3501> 1.0.28-4.mga7
+ Revision: 1151987
- Added upsteam patch which fixes CVE-2017-12562 mga#21618

* Sat Jun 24 2017 luigiwalser <luigiwalser> 1.0.28-3.mga6
+ Revision: 1108340
- add patch from fedora to fix CVE-2017-6892

* Mon Jun 05 2017 luigiwalser <luigiwalser> 1.0.28-2.mga6
+ Revision: 1106802
- add patches from opensuse to fix CVE-2017-836[1235]

* Tue May 16 2017 luigiwalser <luigiwalser> 1.0.28-1.mga6
+ Revision: 1102225
- 1.0.28

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.0.27-1.mga6
+ Revision: 1045288
- 1.0.27

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.0.26-1.mga6
+ Revision: 918821
- 1.0.26
- remove patches 0, 2, 3, and 4 (fixed upstream)

* Tue Nov 17 2015 luigiwalser <luigiwalser> 1.0.25-10.mga6
+ Revision: 903903
- add patches from opensuse to fix CVE-2015-7805 and CVE-2015-8075

* Thu Dec 25 2014 luigiwalser <luigiwalser> 1.0.25-9.mga5
+ Revision: 805967
- rediff upstream patch to fix buffer overreads

* Wed Dec 24 2014 luigiwalser <luigiwalser> 1.0.25-8.mga5
+ Revision: 805445
- add upstream patch to fix potential divide-by-zero

* Wed Oct 15 2014 umeabot <umeabot> 1.0.25-7.mga5
+ Revision: 748210
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 pterjan <pterjan> 1.0.25-6.mga5
+ Revision: 694914
- Rebuild to fix dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.0.25-5.mga5
+ Revision: 681789
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 wally <wally> 1.0.25-4.mga5
+ Revision: 647092
- add patch to fix linking

* Fri Oct 18 2013 umeabot <umeabot> 1.0.25-3.mga4
+ Revision: 507338
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.25-2.mga3
+ Revision: 358180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.0.25-1.mga3
+ Revision: 323454
- clean spec
- fix rpm group

* Mon Jul 18 2011 fwang <fwang> 1.0.25-1.mga2
+ Revision: 125599
- new version 1.0.25

* Mon Jul 04 2011 ahmad <ahmad> 1.0.24-1.mga2
+ Revision: 117985
- Update to 1.0.24
- Add .tar.gz.asc Source

* Sun Mar 27 2011 colin <colin> 1.0.23-2.mga1
+ Revision: 78002
- Rebuild against new flac to get rid of 64 bit libdir path error
+ dmorgan <dmorgan>
- Remove mdv macros
  Bootstrap libsndfile
- imported package libsndfile

